Bug 249046 - when k3b closes disc (or the system is busy for whatever reason) on resume, sound is for about one second at maxvol , hda intel
when k3b closes disc (or the system is busy for whatever reason) on resume, s...
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
7
All Linux
low Severity low
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
:
Depends On:
Blocks: FCMETA_ALSA
  Show dependency treegraph
 
Reported: 2007-07-20 11:11 EDT by cornel panceac
Modified: 2007-12-13 12:29 EST (History)
1 user (show)

See Also:
Fixed In Version: f8release
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-12-13 12:29:30 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description cornel panceac 2007-07-20 11:11:12 EDT
Description of problem:
when the system is _very busy_ , like k3b closing disc, music stops playing and,
on resume, the first second volume is at max (or, much higher, anyway).

Version-Release number of selected component (if applicable):
2.6.21-1.3228.fc7

How reproducible:
write a disc with k3b while listening music

Steps to Reproduce:
1.
2.
3.
  
Actual results:
music stops, and on resume the start volume is much higher

Expected results:
music doesn't stop, or if it stops, on resume volume remains constant


Additional info:

my sound card is: 00:06.1 Audio device: nVidia Corporation MCP55 High Definition
Audio (rev a2) (from lspci)
lsmod | grep snd:
snd_hda_intel          24409  2 
snd_hda_codec         202689  1 snd_hda_intel
snd_seq_dummy           7877  0 
snd_seq_oss            33345  0 
snd_seq_midi_event     11073  1 snd_seq_oss
snd_seq                50353  5 snd_seq_dummy,snd_seq_oss,snd_seq_midi_event
snd_seq_device         11853  3 snd_seq_dummy,snd_seq_oss,snd_seq
snd_pcm_oss            43489  0 
snd_mixer_oss          19393  2 snd_pcm_oss
snd_pcm                74565  3 snd_hda_intel,snd_hda_codec,snd_pcm_oss
snd_timer              24773  2 snd_seq,snd_pcm
snd                    53189  11
snd_hda_intel,snd_hda_codec,snd_seq_oss,snd_seq,snd_seq_device,snd_pcm_oss,snd_mixer_oss,snd_pcm,snd_timer
soundcore              11553  2 snd
snd_page_alloc         13769  2 snd_hda_intel,snd_pcm

smolt:
HDA Intel  	OTHER  	pci  	nVidia Corporation  	MCP55 High Definition Audio  
Giga-byte Technology

ram:
2GiO

processor:
amd x2 dualcore 5600+ 2800 MHz

this was my home computer.

the same thing happens on my office computer wich is hp, with 512 MiO ram, 3 GHz
intel dual core processor. i'm not at office right now so i can not provide more
info on that machine. anyway, things seemed to improve from fc6 to f7 (the
annoying increase of playback level is shorter maybe, or does not happen that
often anymore(?))
Comment 1 Christopher Brown 2007-09-20 06:47:30 EDT
Hello Cornel,

I'm reviewing this bug as part of the kernel bug triage project, an attempt to
isolate current bugs in the fedora kernel.

http://fedoraproject.org/wiki/KernelBugTriage

I am CC'ing myself to this bug and will try and assist you in resolving it if I can.

There hasn't been much activity on this bug for a while. Could you tell me if
you are still having problems with the latest kernel?

If the problem no longer exists then please close this bug or I'll do so in a
few days if there is no additional information lodged.

Cheers
Chris
Comment 2 cornel panceac 2007-09-20 13:46:46 EDT
it happens with latest kernel too. i have at office two hp's with intel-hda,
i'll test there too, tomorrow. 
thank you.
Comment 3 Christopher Brown 2007-09-20 16:13:07 EDT
Okay, thanks for the info. I've added an ALSA blocker bug which may get this
further review from the relevant maintainers.

Cheers
Chris
Comment 4 cornel panceac 2007-09-22 01:25:24 EDT
it happened today (22nd of september 2007) too, when the system tried to see if
the cd i've put into cddrive is blank or something else.

it also happens when k3b is "closing session".

$ uname -r
2.6.22.5-76.fc7

$ rpm -qa | grep alsa
alsa-utils-1.0.14-1.fc7
alsa-lib-1.0.14-3.fc7



Comment 5 cornel panceac 2007-11-14 13:26:07 EST
it is fixed on f8release, sound never stops now. the system (xorg) is still
kinda freezing though. thank you very much.

Note You need to log in before you can comment on or make changes to this bug.